disabled_rules: # rule identifiers to exclude from running
  - leading_whitespace
  - trailing_whitespace
  - identifier_name
  - large_tuple
  - file_length
  - line_length
  - force_try
  - shorthand_operator
  - type_body_length
  - function_body_length
  - function_parameter_count
  - redundant_string_enum_value
  - unused_closure_parameter
  - cyclomatic_complexity
  - syntactic_sugar
  - empty_enum_arguments
  - force_cast
  - multiple_closures_with_trailing_closure
  - private_over_fileprivate
  - trailing_comma
  - comment_spacing
excluded: # paths to ignore during linting. Takes precedence over `included`.
  - DerivedData
  - Carthage
  - Pods
  - vendor
  - Vendor
  - "*/R2Tag+tags.swift"
type_name:
  min_length: 1 # only warning
  max_length: # warning and error
    warning: 50
    error: 60
  allowed_symbols: ["_"]
nesting:
  type_level:
    warning: 3
    error: 6
  statement_level:
    warning: 5
    error: 10

